"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DxWizardSettings = exports.DxViewerApi = exports.DxMobileLayout = exports.DxItemOptionsPanel = exports.DxItemBindingPanel = exports.DxExtensions = exports.DxDesignerToolbar = exports.DxDataSourceWizard = exports.DxDataRequestOptions = exports.DxDataInspector = exports.DxDashboardParameterDialog = exports.DxDashboardExport = exports.DxAjaxRemoteService = exports.DxDashboardControl = void 0;
var index_1 = require("devexpress-dashboard/integration/index");
var index_2 = require("devextreme-vue/core/index");
var index_3 = require("devextreme-vue/core/index");
var DxDashboardControl = (0, index_2.createComponent)({
    props: {
        ajaxRemoteService: Object,
        allowMaximizeItems: Boolean,
        dashboardId: String,
        dataRequestOptions: Object,
        encodeHtml: Boolean,
        endpoint: String,
        extensions: Object,
        initialDashboardId: String,
        initialDashboardState: String,
        limitVisibleDataMode: String,
        loadDefaultDashboard: Boolean,
        nonce: String,
        onBeforeRender: Function,
        onDashboardBeginUpdate: Function,
        onDashboardEndUpdate: Function,
        onDashboardInitialized: Function,
        onDashboardInitializing: Function,
        onDashboardStateChanged: Function,
        onInitializing: Function,
        onItemBeginUpdate: Function,
        onItemEndUpdate: Function,
        onOptionChanged: Function,
        resizeByTimer: Boolean,
        showConfirmationOnBrowserClosing: Boolean,
        useNeutralFilterMode: Boolean,
        workingMode: String
    },
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:ajaxRemoteService": null,
        "update:allowMaximizeItems": null,
        "update:dashboardId": null,
        "update:dataRequestOptions": null,
        "update:encodeHtml": null,
        "update:endpoint": null,
        "update:extensions": null,
        "update:initialDashboardId": null,
        "update:initialDashboardState": null,
        "update:limitVisibleDataMode": null,
        "update:loadDefaultDashboard": null,
        "update:nonce": null,
        "update:onBeforeRender": null,
        "update:onDashboardBeginUpdate": null,
        "update:onDashboardEndUpdate": null,
        "update:onDashboardInitialized": null,
        "update:onDashboardInitializing": null,
        "update:onDashboardStateChanged": null,
        "update:onInitializing": null,
        "update:onItemBeginUpdate": null,
        "update:onItemEndUpdate": null,
        "update:onOptionChanged": null,
        "update:resizeByTimer": null,
        "update:showConfirmationOnBrowserClosing": null,
        "update:useNeutralFilterMode": null,
        "update:workingMode": null,
    },
    computed: {
        instance: function () {
            return this.$_instance;
        }
    },
    beforeCreate: function () {
        this.$_WidgetClass = index_1.default;
        this.$_hasAsyncTemplate = true;
        this.$_expectedChildren = {
            ajaxRemoteService: { isCollectionItem: false, optionName: "ajaxRemoteService" },
            dataRequestOptions: { isCollectionItem: false, optionName: "dataRequestOptions" },
            extensions: { isCollectionItem: false, optionName: "extensions" }
        };
    }
});
exports.DxDashboardControl = DxDashboardControl;
var DxAjaxRemoteService = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:beforeSend": null,
        "update:complete": null,
        "update:headers": null,
    },
    props: {
        beforeSend: Function,
        complete: Function,
        headers: Object
    }
});
exports.DxAjaxRemoteService = DxAjaxRemoteService;
DxAjaxRemoteService.$_optionName = "ajaxRemoteService";
var DxDashboardExport = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:allowExportDashboard": null,
        "update:allowExportDashboardItems": null,
        "update:onExportDialogHidden": null,
        "update:onExportDialogShowing": null,
        "update:onExportDialogShown": null,
    },
    props: {
        allowExportDashboard: Boolean,
        allowExportDashboardItems: Boolean,
        onExportDialogHidden: Function,
        onExportDialogShowing: Function,
        onExportDialogShown: Function
    }
});
exports.DxDashboardExport = DxDashboardExport;
DxDashboardExport.$_optionName = "dashboardExport";
var DxDashboardParameterDialog = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:onDynamicLookUpValuesLoaded": null,
        "update:onHidden": null,
        "update:onShowing": null,
        "update:onShown": null,
    },
    props: {
        onDynamicLookUpValuesLoaded: Function,
        onHidden: Function,
        onShowing: Function,
        onShown: Function
    }
});
exports.DxDashboardParameterDialog = DxDashboardParameterDialog;
DxDashboardParameterDialog.$_optionName = "dashboardParameterDialog";
var DxDataInspector = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:allowInspectAggregatedData": null,
        "update:allowInspectRawData": null,
        "update:onDialogHidden": null,
        "update:onDialogShowing": null,
        "update:onDialogShown": null,
        "update:onGridContentReady": null,
        "update:onGridInitialized": null,
    },
    props: {
        allowInspectAggregatedData: Boolean,
        allowInspectRawData: Boolean,
        onDialogHidden: Function,
        onDialogShowing: Function,
        onDialogShown: Function,
        onGridContentReady: Function,
        onGridInitialized: Function
    }
});
exports.DxDataInspector = DxDataInspector;
DxDataInspector.$_optionName = "dataInspector";
var DxDataRequestOptions = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:itemDataLoadingMode": null,
        "update:itemDataRequestMode": null,
    },
    props: {
        itemDataLoadingMode: String,
        itemDataRequestMode: String
    }
});
exports.DxDataRequestOptions = DxDataRequestOptions;
DxDataRequestOptions.$_optionName = "dataRequestOptions";
var DxDataSourceWizard = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:allowCreateNewJsonConnection": null,
        "update:enableCustomSql": null,
        "update:onCustomizeDataSourceWizard": null,
        "update:wizardSettings": null,
    },
    props: {
        allowCreateNewJsonConnection: Boolean,
        enableCustomSql: Boolean,
        onCustomizeDataSourceWizard: Function,
        wizardSettings: Object
    }
});
exports.DxDataSourceWizard = DxDataSourceWizard;
DxDataSourceWizard.$_optionName = "dataSourceWizard";
DxDataSourceWizard.$_expectedChildren = {
    wizardSettings: { isCollectionItem: false, optionName: "wizardSettings" }
};
var DxDesignerToolbar = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:onPreparing": null,
    },
    props: {
        onPreparing: Function
    }
});
exports.DxDesignerToolbar = DxDesignerToolbar;
DxDesignerToolbar.$_optionName = "designerToolbar";
var DxExtensions = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:dashboardExport": null,
        "update:dashboardParameterDialog": null,
        "update:dataInspector": null,
        "update:dataSourceWizard": null,
        "update:designerToolbar": null,
        "update:itemBindingPanel": null,
        "update:itemOptionsPanel": null,
        "update:mobileLayout": null,
        "update:viewerApi": null,
    },
    props: {
        dashboardExport: Object,
        dashboardParameterDialog: Object,
        dataInspector: Object,
        dataSourceWizard: Object,
        designerToolbar: Object,
        itemBindingPanel: Object,
        itemOptionsPanel: Object,
        mobileLayout: Object,
        viewerApi: Object
    }
});
exports.DxExtensions = DxExtensions;
DxExtensions.$_optionName = "extensions";
DxExtensions.$_expectedChildren = {
    dashboardExport: { isCollectionItem: false, optionName: "dashboardExport" },
    dashboardParameterDialog: { isCollectionItem: false, optionName: "dashboardParameterDialog" },
    dataInspector: { isCollectionItem: false, optionName: "dataInspector" },
    dataSourceWizard: { isCollectionItem: false, optionName: "dataSourceWizard" },
    designerToolbar: { isCollectionItem: false, optionName: "designerToolbar" },
    itemBindingPanel: { isCollectionItem: false, optionName: "itemBindingPanel" },
    itemOptionsPanel: { isCollectionItem: false, optionName: "itemOptionsPanel" },
    mobileLayout: { isCollectionItem: false, optionName: "mobileLayout" },
    viewerApi: { isCollectionItem: false, optionName: "viewerApi" }
};
var DxItemBindingPanel = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:onCustomizeDataItemContainerSections": null,
    },
    props: {
        onCustomizeDataItemContainerSections: Function
    }
});
exports.DxItemBindingPanel = DxItemBindingPanel;
DxItemBindingPanel.$_optionName = "itemBindingPanel";
var DxItemOptionsPanel = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:onCustomizeSections": null,
    },
    props: {
        onCustomizeSections: Function
    }
});
exports.DxItemOptionsPanel = DxItemOptionsPanel;
DxItemOptionsPanel.$_optionName = "itemOptionsPanel";
var DxMobileLayout = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:mobileLayoutEnabled": null,
    },
    props: {
        mobileLayoutEnabled: String
    }
});
exports.DxMobileLayout = DxMobileLayout;
DxMobileLayout.$_optionName = "mobileLayout";
var DxViewerApi = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:onDashboardTitleToolbarUpdated": null,
        "update:onItemActionAvailabilityChanged": null,
        "update:onItemCaptionToolbarUpdated": null,
        "update:onItemClick": null,
        "update:onItemDrillDownStateChanged": null,
        "update:onItemElementCustomColor": null,
        "update:onItemMasterFilterStateChanged": null,
        "update:onItemSelectionChanged": null,
        "update:onItemVisualInteractivity": null,
        "update:onItemWidgetCreated": null,
        "update:onItemWidgetOptionsPrepared": null,
        "update:onItemWidgetUpdated": null,
        "update:onItemWidgetUpdating": null,
        "update:onSelectedTabPageChanged": null,
    },
    props: {
        onDashboardTitleToolbarUpdated: Function,
        onItemActionAvailabilityChanged: Function,
        onItemCaptionToolbarUpdated: Function,
        onItemClick: Function,
        onItemDrillDownStateChanged: Function,
        onItemElementCustomColor: Function,
        onItemMasterFilterStateChanged: Function,
        onItemSelectionChanged: Function,
        onItemVisualInteractivity: Function,
        onItemWidgetCreated: Function,
        onItemWidgetOptionsPrepared: Function,
        onItemWidgetUpdated: Function,
        onItemWidgetUpdating: Function,
        onSelectedTabPageChanged: Function
    }
});
exports.DxViewerApi = DxViewerApi;
DxViewerApi.$_optionName = "viewerApi";
var DxWizardSettings = (0, index_3.createConfigurationComponent)({
    emits: {
        "update:isActive": null,
        "update:hoveredElement": null,
        "update:enableFederationDataSource": null,
        "update:enableJsonDataSource": null,
        "update:enableOlapDataSource": null,
        "update:enableSqlDataSource": null,
    },
    props: {
        enableFederationDataSource: Boolean,
        enableJsonDataSource: Boolean,
        enableOlapDataSource: Boolean,
        enableSqlDataSource: Boolean
    }
});
exports.DxWizardSettings = DxWizardSettings;
DxWizardSettings.$_optionName = "wizardSettings";
exports.default = DxDashboardControl;
